Bootstrap a zero-knowledge profile
curl --request POST \
--url https://api.abadge.io/v1/profiles/{profileId}/bootstrap \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"wrappedRootKey": "<string>",
"kdfSalt": "<string>",
"kdfParams": {
"algorithm": "argon2id",
"memory": 2,
"iterations": 2,
"parallelism": 2,
"hashLength": 2
}
}
'import requests
url = "https://api.abadge.io/v1/profiles/{profileId}/bootstrap"
payload = {
"wrappedRootKey": "<string>",
"kdfSalt": "<string>",
"kdfParams": {
"algorithm": "argon2id",
"memory": 2,
"iterations": 2,
"parallelism": 2,
"hashLength": 2
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
wrappedRootKey: '<string>',
kdfSalt: '<string>',
kdfParams: {algorithm: 'argon2id', memory: 2, iterations: 2, parallelism: 2, hashLength: 2}
})
};
fetch('https://api.abadge.io/v1/profiles/{profileId}/bootstrap', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.abadge.io/v1/profiles/{profileId}/bootstrap",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'wrappedRootKey' => '<string>',
'kdfSalt' => '<string>',
'kdfParams' => [
'algorithm' => 'argon2id',
'memory' => 2,
'iterations' => 2,
'parallelism' => 2,
'hashLength' => 2
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.abadge.io/v1/profiles/{profileId}/bootstrap"
payload := strings.NewReader("{\n \"wrappedRootKey\": \"<string>\",\n \"kdfSalt\": \"<string>\",\n \"kdfParams\": {\n \"algorithm\": \"argon2id\",\n \"memory\": 2,\n \"iterations\": 2,\n \"parallelism\": 2,\n \"hashLength\": 2\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.abadge.io/v1/profiles/{profileId}/bootstrap")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"wrappedRootKey\": \"<string>\",\n \"kdfSalt\": \"<string>\",\n \"kdfParams\": {\n \"algorithm\": \"argon2id\",\n \"memory\": 2,\n \"iterations\": 2,\n \"parallelism\": 2,\n \"hashLength\": 2\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.abadge.io/v1/profiles/{profileId}/bootstrap")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"wrappedRootKey\": \"<string>\",\n \"kdfSalt\": \"<string>\",\n \"kdfParams\": {\n \"algorithm\": \"argon2id\",\n \"memory\": 2,\n \"iterations\": 2,\n \"parallelism\": 2,\n \"hashLength\": 2\n }\n}"
response = http.request(request)
puts response.read_body{
"ok": true
}{
"code": "ITEM_NOT_FOUND",
"message": "Item not found.",
"hint": "Verify the item ID and that it belongs to your organization.",
"meta": {}
}{
"code": "ITEM_NOT_FOUND",
"message": "Item not found.",
"hint": "Verify the item ID and that it belongs to your organization.",
"meta": {}
}{
"code": "ITEM_NOT_FOUND",
"message": "Item not found.",
"hint": "Verify the item ID and that it belongs to your organization.",
"meta": {}
}Profiles
Bootstrap a zero-knowledge profile
Initializes a zero_knowledge profile with a client-derived wrapped root key and KDF parameters. The server never sees the password or root key. Requires the admin role.
POST
/
profiles
/
{profileId}
/
bootstrap
Bootstrap a zero-knowledge profile
curl --request POST \
--url https://api.abadge.io/v1/profiles/{profileId}/bootstrap \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"wrappedRootKey": "<string>",
"kdfSalt": "<string>",
"kdfParams": {
"algorithm": "argon2id",
"memory": 2,
"iterations": 2,
"parallelism": 2,
"hashLength": 2
}
}
'import requests
url = "https://api.abadge.io/v1/profiles/{profileId}/bootstrap"
payload = {
"wrappedRootKey": "<string>",
"kdfSalt": "<string>",
"kdfParams": {
"algorithm": "argon2id",
"memory": 2,
"iterations": 2,
"parallelism": 2,
"hashLength": 2
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
wrappedRootKey: '<string>',
kdfSalt: '<string>',
kdfParams: {algorithm: 'argon2id', memory: 2, iterations: 2, parallelism: 2, hashLength: 2}
})
};
fetch('https://api.abadge.io/v1/profiles/{profileId}/bootstrap', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.abadge.io/v1/profiles/{profileId}/bootstrap",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'wrappedRootKey' => '<string>',
'kdfSalt' => '<string>',
'kdfParams' => [
'algorithm' => 'argon2id',
'memory' => 2,
'iterations' => 2,
'parallelism' => 2,
'hashLength' => 2
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.abadge.io/v1/profiles/{profileId}/bootstrap"
payload := strings.NewReader("{\n \"wrappedRootKey\": \"<string>\",\n \"kdfSalt\": \"<string>\",\n \"kdfParams\": {\n \"algorithm\": \"argon2id\",\n \"memory\": 2,\n \"iterations\": 2,\n \"parallelism\": 2,\n \"hashLength\": 2\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.abadge.io/v1/profiles/{profileId}/bootstrap")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"wrappedRootKey\": \"<string>\",\n \"kdfSalt\": \"<string>\",\n \"kdfParams\": {\n \"algorithm\": \"argon2id\",\n \"memory\": 2,\n \"iterations\": 2,\n \"parallelism\": 2,\n \"hashLength\": 2\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.abadge.io/v1/profiles/{profileId}/bootstrap")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"wrappedRootKey\": \"<string>\",\n \"kdfSalt\": \"<string>\",\n \"kdfParams\": {\n \"algorithm\": \"argon2id\",\n \"memory\": 2,\n \"iterations\": 2,\n \"parallelism\": 2,\n \"hashLength\": 2\n }\n}"
response = http.request(request)
puts response.read_body{
"ok": true
}{
"code": "ITEM_NOT_FOUND",
"message": "Item not found.",
"hint": "Verify the item ID and that it belongs to your organization.",
"meta": {}
}{
"code": "ITEM_NOT_FOUND",
"message": "Item not found.",
"hint": "Verify the item ID and that it belongs to your organization.",
"meta": {}
}{
"code": "ITEM_NOT_FOUND",
"message": "Item not found.",
"hint": "Verify the item ID and that it belongs to your organization.",
"meta": {}
}Authorizations
Bearer token in the Authorization header. Management routes accept a session token or a personal API key (abu_). Agent-facing access.* routes require an agent session token (abs_).
Path Parameters
Body
application/json
Response
Bootstrapped
Was this page helpful?